MCP Tools Reference: slidesmcp.googleapis.com

Tool: read_presentation

JSON-Darstellung einer Google-Präsentation lesen

Entspricht presentations.get in der REST API.

Im folgenden Beispiel wird gezeigt, wie Sie mit curl das MCP-Tool read_presentation aufrufen.

Curl-Anfrage
curl --location 'https://slidesmcp.googleapis.com/mcp' \
--header 'content-type: application/json' \
--header 'accept: application/json, text/event-stream' \
--data '{
  "method": "tools/call",
  "params": {
    "name": "read_presentation",
    "arguments": {
      // provide these details according to the tool MCP specification
    }
  },
  "jsonrpc": "2.0",
  "id": 1
}'
                

Eingabeschema

Bitten Sie Gemini, eine Präsentation zu lesen.

ReadPresentationRequest

JSON-Darstellung
{
  "presentationId": string
}
Felder
presentationId

string

Erforderlich. Die ID der Präsentation, aus der Inhalte gelesen werden sollen.

Ausgabeschema

Antwort mit der JSON-Darstellung der Präsentation.

ReadPresentationResponse

JSON-Darstellung
{
  "content": string
}
Felder
content

string

Eine JSON-Darstellung einer Google-Präsentation.

Tool-Annotationen

Destruktiver Hinweis: ❌ | Idempotenter Hinweis: ✅ | Nur-Lese-Hinweis: ✅ | Open-World-Hinweis: ✅